Zum Hauptinhalt springen
POST
/
scheduler
/
2026-03
/
meetings
/
meeting-links
/
book
Book a meeting
curl --request POST \
  --url https://api.hubapi.com/scheduler/2026-03/meetings/meeting-links/book \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "duration": 123,
  "email": "<string>",
  "firstName": "<string>",
  "formFields": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "lastName": "<string>",
  "legalConsentResponses": [
    {
      "communicationTypeId": "<string>",
      "consented": true
    }
  ],
  "likelyAvailableUserIds": [
    "<string>"
  ],
  "slug": "<string>",
  "startTime": "2023-11-07T05:31:56Z",
  "locale": "<string>",
  "timezone": "<string>"
}
'
{
  "bookingTimezone": "<string>",
  "calendarEventId": "<string>",
  "contactId": "<string>",
  "duration": 123,
  "end": "2023-11-07T05:31:56Z",
  "formFields": [
    {
      "isCustom": true,
      "label": "<string>",
      "name": "<string>",
      "value": "<string>",
      "fieldType": "<string>",
      "translatedLabel": "<string>",
      "valueLabel": "<string>"
    }
  ],
  "guestEmails": [
    "<string>"
  ],
  "isOffline": true,
  "legalConsentResponses": [
    {
      "communicationTypeId": "<string>",
      "consented": true
    }
  ],
  "start": "2023-11-07T05:31:56Z",
  "subject": "<string>",
  "locale": "<string>",
  "location": "<string>",
  "webConferenceMeetingId": "<string>",
  "webConferenceUrl": "<string>"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
duration
integer<int64>
erforderlich

The duration of the meeting in milliseconds.

email
string
erforderlich

The email address of the person booking the meeting.

firstName
string
erforderlich

The first name of the person booking the meeting.

formFields
object[]
erforderlich
lastName
string
erforderlich

The last name of the person booking the meeting.

likelyAvailableUserIds
string[]
erforderlich
slug
string
erforderlich

The unique path identifier for the meeting page.

startTime
string<date-time>
erforderlich

The date and time when the meeting is scheduled to start, in ISO 8601 format.

locale
string

The locale used for formatting dates and times in the meeting booking.

timezone
string

The timezone in which the meeting is scheduled.

Antwort

successful operation

bookingTimezone
string
erforderlich

The timezone the meeting was booked from.

calendarEventId
string
erforderlich

The unique identifier for the meeting's calendar event.

contactId
string
erforderlich

The ID of the contact associated to the meeting.

duration
integer<int64>
erforderlich

The duration of the meeting in milliseconds.

end
string<date-time>
erforderlich

The date and time when the meeting is scheduled to end, in ISO 8601 format.

formFields
object[]
erforderlich
guestEmails
string[]
erforderlich
isOffline
boolean
erforderlich

Whether the meeting was booked offline and no associated calendar event was created.

start
string<date-time>
erforderlich

The date and time when the meeting is scheduled to start, in ISO 8601 format.

subject
string
erforderlich

The title of the meeting and calendar event.

locale
string

The locale the meeting was booked with, used to determine date formatting in calendar event description.

location
string

The physical or virtual location where the meeting will take place.

webConferenceMeetingId
string

The unique identifier for the web conference meeting.

webConferenceUrl
string

The URL for accessing the meeting's web conference.

Last modified on April 9, 2026